function updatewiederholung
%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      
global wiederholungsstatus anzahlwiederholungen wiederholungsvec
   
wiederholungedit=findobj('tag','wiederholungedit');
if isstr(get(wiederholungedit,'String'))
    if isempty(get(wiederholungedit,'String'))
        anzahlwiederholungen=1;
        wiederholungsstatus = 0;
    elseif length(str2num(get(wiederholungedit,'String')))>1
        wiederholungsvec=str2num(get(wiederholungedit,'String'))+1;
       wiederholungsvec(find(wiederholungsvec==0))=-1;
        uiwait(errordlg('Wiederholungsangabe wird als Vektor interpretiert!','Achtung:'));
        anzahlwiederholungen=[];
        wiederholungsstatus = 1;
        return
    end
    if strcmp(get(wiederholungedit,'String'),'x')
        wiederholungsvec=[];
        anzahlwiederholungen=-1;
    elseif strcmp(get(wiederholungedit,'String'),'-1')
        anzahlwiederholungen=-1;
        wiederholungsvec=[];
    elseif ~isempty(get(wiederholungedit,'String'))
        anzahlwiederholungen=str2num(get(wiederholungedit,'String'))+1;
        wiederholungsvec=[];    
    end
    
else
    if length(get(wiederholungedit,'String'))>1
       wiederholungsvec=get(wiederholungedit,'String')+1;
       wiederholungsvec(find(wiederholungsvec==0))=-1;
       uiwait(errordlg('Wiederholungsangabe wird als Vektor interpretiert!','Achtung:'));
       wiederholungsstatus = 1;
       anzahlwiederholungen=[];
       return
    else
         anzahlwiederholungen=get(wiederholungedit,'String')+1;
         wiederholungsvec=[];
     end
end

if anzahlwiederholungen > 1 | anzahlwiederholungen == -1
    wiederholungsstatus = 1;
else
    wiederholungsstatus = 0;
end
return

